<?php
/** @noinspection PhpIllegalPsrClassPathInspection */

require_once __DIR__ . '/../vendor/autoload.php';

use jrosset\EnvReader\EnvConfig;

class Env extends EnvConfig {
    protected function initialProperties (): array {
        return [
            'WEBSITE_MODE' => 'DEV',
            'WEBSITE_NAME' => 'Generic site',
        ];
    }
    public function getConfigFilePath (): string {
        return __DIR__ . '/.env';
    }
}

var_dump(Env::getInstance()->getProperties());
var_dump(Env::getInstance()->getProperty('db_host', 'localhost'));